Bug 244143 - rgmanager is exiting without stopping dlm service
rgmanager is exiting without stopping dlm service
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager (Show other bugs)
5.0
i386 Linux
low Severity high
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-14 01:07 EDT by Santosh Kumar Panigrahi
Modified: 2009-04-16 18:55 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0580
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 11:46:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Santosh Kumar Panigrahi 2007-06-14 01:07:51 EDT
Description of problem:
configured a 2 node cluster. When 1 node goes offline, on stopping rgmanager 
service in the last node, rgmanager exits uncleanly without stopping dlm 
service. This prevents cman from stopping on the last node.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Configure a 2 node cluster.
2. Stop both rgmanager and cman in node1.
3. Stop rgmanager in last node(ie; node2). rgmanager service is stopping with 
flashing ok message.
4. Stop cman on node2. cman is not stopping and showing "Error leaving cluster: 
Device or resource busy".
5. Check the service running on node2 by "cman_tool services" command. it is 
showing rgmanager service is running with type "dlm".  
  
Actual results:


Expected results:


Additional info:
Comment 1 RHEL Product and Program Management 2007-06-18 17:03:49 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 RHEL Product and Program Management 2007-06-18 17:14:11 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Lon Hohberger 2007-06-26 17:56:08 EDT
Patches in CVS; waiting for a build
Comment 6 Santosh Kumar Panigrahi 2007-09-05 06:53:49 EDT
(In reply to comment #3)
> Patches in CVS; waiting for a build

Hi Lon,

Can you please let me know when this build will be ready.
As I am interested in downloading this patch,can you please let me know from 
where I can get it or just let me know the latest rpm (with this fix included).

Thanks,
Santosh
Comment 8 errata-xmlrpc 2007-11-07 11:46:14 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0580.html

Note You need to log in before you can comment on or make changes to this bug.